PipeWire: policy-node.c File Reference

PipeWire 0.3.37

Data Structures | Macros | Functions
policy-node.c File Reference
Include dependency graph for policy-node.c:

## Data Structures
struct | default_node
struct | impl
struct | node
struct | find_data

## Macros
#define | NAME "policy-node"
#define | SESSION_KEY "policy-node"
#define | DEFAULT_IDLE_SECONDS 3
#define | DEFAULT_AUDIO_SINK_KEY "default.audio.sink"
#define | DEFAULT_AUDIO_SOURCE_KEY "default.audio.source"
#define | DEFAULT_VIDEO_SOURCE_KEY "default.video.source"
#define | DEFAULT_CONFIG_AUDIO_SINK_KEY "default.configured.audio.sink"
#define | DEFAULT_CONFIG_AUDIO_SOURCE_KEY "default.configured.audio.source"
#define | DEFAULT_CONFIG_VIDEO_SOURCE_KEY "default.configured.video.source"
#define | DEFAULT_AUDIO_SINK 0
#define | DEFAULT_AUDIO_SOURCE 1
#define | DEFAULT_VIDEO_SOURCE 2
#define | MAX_LINK_RETRY 5
#define | NODE_TYPE_UNKNOWN 0
#define | NODE_TYPE_STREAM 1
#define | NODE_TYPE_DEVICE 2

## Functions
int | sm_policy_node_start (struct sm_media_session *session)

## Macro Definition Documentation

## ◆ DEFAULT_AUDIO_SINK

#define DEFAULT_AUDIO_SINK 0

## ◆ DEFAULT_AUDIO_SINK_KEY

#define DEFAULT_AUDIO_SINK_KEY "default.audio.sink"

## ◆ DEFAULT_AUDIO_SOURCE

#define DEFAULT_AUDIO_SOURCE 1

## ◆ DEFAULT_AUDIO_SOURCE_KEY

#define DEFAULT_AUDIO_SOURCE_KEY "default.audio.source"

## ◆ DEFAULT_CONFIG_AUDIO_SINK_KEY

#define DEFAULT_CONFIG_AUDIO_SINK_KEY "default.configured.audio.sink"

## ◆ DEFAULT_CONFIG_AUDIO_SOURCE_KEY

#define DEFAULT_CONFIG_AUDIO_SOURCE_KEY "default.configured.audio.source"

## ◆ DEFAULT_CONFIG_VIDEO_SOURCE_KEY

#define DEFAULT_CONFIG_VIDEO_SOURCE_KEY "default.configured.video.source"

## ◆ DEFAULT_IDLE_SECONDS

#define DEFAULT_IDLE_SECONDS 3

## ◆ DEFAULT_VIDEO_SOURCE

#define DEFAULT_VIDEO_SOURCE 2

## ◆ DEFAULT_VIDEO_SOURCE_KEY

#define DEFAULT_VIDEO_SOURCE_KEY "default.video.source"

## ◆ MAX_LINK_RETRY

#define MAX_LINK_RETRY 5

## ◆ NAME

#define NAME "policy-node"

## ◆ NODE_TYPE_DEVICE

#define NODE_TYPE_DEVICE 2

## ◆ NODE_TYPE_STREAM

#define NODE_TYPE_STREAM 1

## ◆ NODE_TYPE_UNKNOWN

#define NODE_TYPE_UNKNOWN 0

## ◆ SESSION_KEY

#define SESSION_KEY "policy-node"

## Function Documentation

## ◆ sm_policy_node_start()

int sm_policy_node_start | ( | struct sm_media_session * | session | ) |

References impl::context, DEFAULT_AUDIO_SINK, DEFAULT_AUDIO_SINK_KEY, DEFAULT_AUDIO_SOURCE, DEFAULT_AUDIO_SOURCE_KEY, DEFAULT_CONFIG_AUDIO_SINK_KEY, DEFAULT_CONFIG_AUDIO_SOURCE_KEY, DEFAULT_CONFIG_VIDEO_SOURCE_KEY, DEFAULT_VIDEO_SOURCE, DEFAULT_VIDEO_SOURCE_KEY, impl::defaults, NAME, pw_properties_get(), impl::sample_rate, impl::session, and impl::streams_follow_default.